Summary: Remote Desktop client for Windows NT/2000/XP Terminal Server
Summary(nl): RDP client voor Windows NT/2000/XP Terminal Server
Summary(pl): Klient RDP umoliwiajcy dostp do Terminal Serwera Windows
Summary(fr): Client RDP pour Windows NT/2000/XP Terminal Server
Summary(pt_BR): Cliente RDP para Windows NT/2000/XP Terminal Server
Summary(pt): Cliente RDP para Windows NT/2000/XP Terminal Server
Name: rdesktop
Vendor: Matthew Chapman <matthewc@cse.unsw.edu.au>
Version: 1.2.0
Release: 1jdl
Copyright: GPL; see COPYING
Group: Applications/Communications
Source: %{name}-%{version}.tar.gz
Patch0:  %{name}-builtinlicence.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
Packager: Jacco de Leeuw <jacco2@dds.nl>
Requires: XFree86-libs glibc openssl
Buildrequires: XFree86-devel glibc-devel openssl-devel
URL: http://www.rdesktop.org
Provides: %{name}

%description
rdesktop is a client for Microsoft Windows NT Terminal Server, Windows 2000
Terminal Services, Windows XP Remote Desktop, and possibly other Terminal
Services products.  rdesktop currently implements the RDP version 4 protocol.

%prep
function CheckBuildRoot {
    # do a few sanity checks on the BuildRoot
    # to make sure we don't damage a system
    case "${RPM_BUILD_ROOT}" in
        ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
            echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
            echo "The BuildRoot gets deleted when this package is rebuilt;"
            echo "something like '/tmp/build-blah' is a better choice."
            return 1
            ;;
        *)  return 0
            ;;
    esac
}
function CleanBuildRoot {
    if CheckBuildRoot; then
        rm -rf "${RPM_BUILD_ROOT}"
    else
        exit 1
    fi
}
CleanBuildRoot

%setup -n %{name}-%{version}
%patch0 -p0 -b .builtinlicence
%build 
./configure --prefix=%{_prefix} --bindir=%{_bindir} --mandir=%{_mandir}
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING 
%{_bindir}/rdesktop
%{_mandir}/man?/rdesktop.1*
%{_datadir}/rdesktop/keymaps

%post

%postun

%clean
function CheckBuildRoot {
    # do a few sanity checks on the BuildRoot
    # to make sure we don't damage a system
    case "${RPM_BUILD_ROOT}" in
        ''|' '|/|/bin|/boot|/dev|/etc|/home|/lib|/mnt|/root|/sbin|/tmp|/usr|/var)
            echo "Yikes!  Don't use '${RPM_BUILD_ROOT}' for a BuildRoot!"
            echo "The BuildRoot gets deleted when this package is rebuilt;"
            echo "something like '/tmp/build-blah' is a better choice."
            return 1
            ;;
        *)  return 0
            ;;
    esac
}
function CleanBuildRoot {
    if CheckBuildRoot; then
        rm -rf "${RPM_BUILD_ROOT}"
    else
        exit 1
    fi
}
CleanBuildRoot
